Author Topic: Newsletter error under 2.10  (Read 3437 times)

Offline rumen

  • Posts: 408
Newsletter error under 2.10
« on: October 17, 2017, 06:37:59 AM »
Hello,
the newsletter module works fine under 2.8.3, but when I try to run it under 2.10 I got errror:

Code: [Select]
There was an uncatched exception
Call to undefined function ereg_replace()
in line (70) of (/modules/newsletter/class.parser.php):

raws 69 and 70:

Code: [Select]
function encodeSpecialChars(&$value) {
  $value = ereg_replace("¡","¡",$value); // inverted exclamation mark

How to fix that?

Regards,

Offline dbs

  • Betatester
  • **
  • Posts: 8144
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Newsletter error under 2.10
« Reply #1 on: October 17, 2017, 07:27:30 AM »
Morning, try this
Code: [Select]
$value = preg_replace("/¡/","¡",$value); // inverted exclamation mark

Offline rumen

  • Posts: 408
Re: Newsletter error under 2.10
« Reply #2 on: October 19, 2017, 11:46:38 AM »
I have changed the code. There i sno error at line 70 anymore, there is new error at line 71 :)

Code: [Select]
There was an uncatched exception
Call to undefined function ereg_replace()
in line (71) of (/modules/newsletter/class.parser.php):

Offline dbs

  • Betatester
  • **
  • Posts: 8144
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Newsletter error under 2.10
« Reply #3 on: October 19, 2017, 12:26:05 PM »
The system for replace

old
Code: [Select]
ereg_replace('xxx', ...
new
Code: [Select]
preg_replace('/xxx/', ...

Offline Gast

  • Posts: 5920
Re: Newsletter error under 2.10
« Reply #4 on: October 19, 2017, 12:51:11 PM »
whats the version/year of this newsletter module? (see comments & text in info.php of this module)
 i dont have code like this

Offline evaki

  • Posts: 2810
Re: Newsletter error under 2.10
« Reply #5 on: October 19, 2017, 03:19:57 PM »
Anlage: newsletterSnippet_0 .18
MfG. Evaki

Offline dbs

  • Betatester
  • **
  • Posts: 8144
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Newsletter error under 2.10
« Reply #6 on: October 19, 2017, 04:25:01 PM »

Offline Gast

  • Posts: 5920
Re: Newsletter error under 2.10
« Reply #7 on: October 19, 2017, 07:20:19 PM »
ich meine, ich hätte da noch irgend ne Kleinigkeit für PHP 7 geändert, warte aber noch auf Rückantwort vom User, wo ich das eingebaut habe. Dann werd ich mal vergleichen.

Offline rumen

  • Posts: 408
Re: Newsletter error under 2.10
« Reply #8 on: October 19, 2017, 08:12:02 PM »
When I changed with that ver. newsletter 0.20 the whole web page is down and the error is:

Code: [Select]
There was an uncatched exception
syntax error, unexpected 'General' (T_STRING)
in line (19) of (/modules/newsletter/class.newsletter.php):

Offline Gast

  • Posts: 5920
Re: Newsletter error under 2.10
« Reply #9 on: October 21, 2017, 10:36:12 AM »
in attachement the latest version v 0.20, run's for me without problem's under WB 2.10.x and the latest PHP-Version's

P.S.: looks, that the file from marmot is broken in the zip. can somebody confirm it? If yes, i#ll remove it

Offline evaki

  • Posts: 2810
Re: Newsletter error under 2.10
« Reply #10 on: October 21, 2017, 10:43:21 AM »
>> file from marmot is broken
jo!

Offline dbs

  • Betatester
  • **
  • Posts: 8144
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Newsletter error under 2.10
« Reply #11 on: October 21, 2017, 10:43:50 AM »
Confirmed. marmots zip produce a error.
(i say only global replace)

Offline Gast

  • Posts: 5920
Re: Newsletter error under 2.10
« Reply #12 on: October 21, 2017, 10:50:24 AM »
thanks

Offline rumen

  • Posts: 408
Re: Newsletter error under 2.10
« Reply #13 on: November 20, 2017, 12:23:19 PM »
Is there a way to fix that Newsletter module under 2.10? I couldn't understand what happened  at the end :)

Offline Gast

  • Posts: 5920
Re: Newsletter error under 2.10
« Reply #14 on: November 20, 2017, 12:31:26 PM »
do you use my version  from this post here?? it works for me and other users without problem's in wb 2.10.x

if you have a version 0.20, pls replace the file's with my zip from this post here -> https://forum.WebsiteBaker.org/index.php/topic,30551.msg212948.html#msg212948

if you have with this zip also errors, we need more details, error message etc


Offline rumen

  • Posts: 408
Re: Newsletter error under 2.10
« Reply #15 on: November 20, 2017, 01:00:45 PM »
Did you changed something? Before that file didn't run, now it works!

Offline Gast

  • Posts: 5920
Re: Newsletter error under 2.10
« Reply #16 on: November 20, 2017, 01:05:13 PM »
Did you changed something? Before that file didn't run, now it works!

not in my zip-file
maybe, you use the version from the forum-post before

Offline rumen

  • Posts: 408
Re: Newsletter error under 2.10
« Reply #17 on: November 20, 2017, 01:11:14 PM »
I see in the DB the 2 e-mails I subscribed, but they don't appear, don't exist in the list of the E-mail group. Also, when I wanted to unsubscribe them they still exist in the DB.

I call the sniplet with that code

Code: [Select]
[[Newsletter?title=news&from=info(at)lystoto(.)com]]
And I see it on the screen, before there was an error. Now there is no error, but WB doesn't call the e-mails subsribed to the Massmail modure in the same "news" group.

Offline rumen

  • Posts: 408
Re: Newsletter error under 2.10
« Reply #18 on: November 20, 2017, 09:20:27 PM »
After I changed the language everything is just fine!

Offline rumen

  • Posts: 408
Re: Newsletter error under 2.10
« Reply #19 on: February 16, 2018, 08:23:27 PM »
Again problem

WB 2.10 / Newsletter V_0.20 - when try to subscribe:

Code: [Select]
Error: An error occurred while sending an activation link to the email address rzaprianov(at)gmail.com.

Please contact support.

No more info what can be the problem.

It is here at the end of the page http://transfer.photography/